itpp::LDPC_Generator Class Referenceabstract

LDPC Generator pure virtual base class. More...

`#include <itpp/comm/ldpc.h>`

Inheritance diagram for itpp::LDPC_Generator:

## Public Member Functions

| LDPC_Generator (const std::string &type_in="")
| Default constructor.
virtual | ~LDPC_Generator ()
| Virtual destructor.
virtual void | encode (const bvec &input, bvec &output)=0
| Generator specific encode function.
std::string | get_type () const
| Return generator type.
void | mark_initialized ()
| Mark generator as initialized.
bool | is_initialized () const
| Check if generator is initialized.

## Protected Member Functions

virtual void | save (const std::string &filename) const =0
| Save generator data to a file.
virtual void | load (const std::string &filename)=0
| Read generator data from a file.

## Friends

class | LDPC_Code

## Detailed Description

LDPC Generator pure virtual base class.

This is an abstract base class for LDPC generators. It provides a generic interface that is used by the `LDPC_Code` class. The `LDPC_Generator` class can be inherited to create a new type of generator. In addition to the default constructor, the following three pure virtual methods need to be defined in a derived class: `encode()`, `save()` and `load()`.

See the `LDPC_Generator_Systematic` class for an example implementation of a derived generator.

Author
  Adam Piatyszek

Definition at line 523 of file ldpc.h.

The documentation for this class was generated from the following file:

- itpp/comm/ldpc.h

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1